Skip to main content
POST
Make a new signing secret

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-11-17

Path Parameters

webhookEndpointId
string<uuid>
required

ID of the webhook endpoint.

Response

Make a new signing secret

id
string<uuid>
required
projectId
string<uuid>
required
url
string<uri>
required
Maximum string length: 2048
description
string | null
required
Maximum string length: 255
events
enum<string>[]
required
Available options:
order.paid,
order.updated,
order.refunded,
order.cancelled,
fulfillment.created,
fulfillment.updated,
fulfillment.cancelled,
shipping_label.purchased,
shipping_label.voided
apiVersion
string
required
enabled
boolean
required
disabledReason
string | null
required
createdAt
string
required
updatedAt
string
required
object
enum<string>
required
Available options:
webhook_endpoint
secret
string
required

The signing secret (whsec_…). Returned only when the endpoint is created and when the secret is rotated.